Fibo Edit
ผสานการทำงาน
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
เรียกใช้โมเดล Fibo Edit (bria/fibo-edit/edit) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.ru/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.ru/v1/quote/bria/fibo-edit/edit ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
คำขอนี้: $0.04 40 เครดิต API · ≈ ₽4.22 เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
ผลลัพธ์แรกของคุณจะแสดงที่นี่
สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/bria/fibo-edit/edit?wait=20
ใบเสนอราคา → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ Fibo Edit
แก้ไขภาพด้วยการควบคุมอย่างละเอียด อินพุตประกอบด้วย `image_url`, `mask_url` ที่เป็นตัวเลือก และ `instruction` หรือ `vgl` ที่สร้างไว้ล่วงหน้า อีกทางเลือกหนึ่งคือระบุ `original_vgl` และ `new_vgl` เพื่อแก้ไขตามความแตกต่าง `steps_num` มีค่าตั้งแต่ 20 ถึง 50 (ค่าเริ่มต้น 30) และยังมี `guidance_scale`, `negative_prompt` และ `seed` ให้ใช้
พารามิเตอร์
ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน
image_urlไม่บังคับ
image
mask_urlไม่บังคับ
mask
instructionไม่บังคับ
vglไม่บังคับ
vgl.short_descriptionไม่บังคับ
vgl.objectsไม่บังคับ
vgl.objects[].descriptionไม่บังคับ
vgl.objects[].locationไม่บังคับ
vgl.objects[].relationshipจำเป็น
vgl.objects[].relative_sizeไม่บังคับ
vgl.objects[].shape_and_colorไม่บังคับ
vgl.objects[].textureไม่บังคับ
vgl.objects[].appearance_detailsไม่บังคับ
vgl.objects[].number_of_objectsไม่บังคับ
vgl.objects[].poseไม่บังคับ
vgl.objects[].expressionไม่บังคับ
vgl.objects[].clothingไม่บังคับ
vgl.objects[].actionไม่บังคับ
vgl.objects[].genderไม่บังคับ
vgl.objects[].skin_tone_and_textureไม่บังคับ
vgl.objects[].orientationไม่บังคับ
vgl.background_settingไม่บังคับ
vgl.lightingไม่บังคับ
vgl.lighting.conditionsไม่บังคับ
vgl.lighting.directionไม่บังคับ
vgl.lighting.shadowsไม่บังคับ
vgl.aestheticsไม่บังคับ
vgl.aesthetics.compositionไม่บังคับ
vgl.aesthetics.color_schemeไม่บังคับ
vgl.aesthetics.mood_atmosphereไม่บังคับ
vgl.aesthetics.preference_scoreไม่บังคับ
vgl.aesthetics.aesthetic_scoreไม่บังคับ
vgl.photographic_characteristicsไม่บังคับ
vgl.photographic_characteristics.depth_of_fieldไม่บังคับ
vgl.photographic_characteristics.focusไม่บังคับ
vgl.photographic_characteristics.camera_angleไม่บังคับ
vgl.photographic_characteristics.lens_focal_lengthไม่บังคับ
vgl.style_mediumไม่บังคับ
vgl.text_renderไม่บังคับ
vgl.contextไม่บังคับ
vgl.artistic_styleไม่บังคับ
vgl.edit_instructionไม่บังคับ
original_vglไม่บังคับ
original_vgl.short_descriptionไม่บังคับ
original_vgl.objectsไม่บังคับ
original_vgl.objects[].descriptionไม่บังคับ
original_vgl.objects[].locationไม่บังคับ
original_vgl.objects[].relationshipจำเป็น
original_vgl.objects[].relative_sizeไม่บังคับ
original_vgl.objects[].shape_and_colorไม่บังคับ
original_vgl.objects[].textureไม่บังคับ
original_vgl.objects[].appearance_detailsไม่บังคับ
original_vgl.objects[].number_of_objectsไม่บังคับ
original_vgl.objects[].poseไม่บังคับ
original_vgl.objects[].expressionไม่บังคับ
original_vgl.objects[].clothingไม่บังคับ
original_vgl.objects[].actionไม่บังคับ
original_vgl.objects[].genderไม่บังคับ
original_vgl.objects[].skin_tone_and_textureไม่บังคับ
original_vgl.objects[].orientationไม่บังคับ
original_vgl.background_settingไม่บังคับ
original_vgl.lightingไม่บังคับ
original_vgl.lighting.conditionsไม่บังคับ
original_vgl.lighting.directionไม่บังคับ
original_vgl.lighting.shadowsไม่บังคับ
original_vgl.aestheticsไม่บังคับ
original_vgl.aesthetics.compositionไม่บังคับ
original_vgl.aesthetics.color_schemeไม่บังคับ
original_vgl.aesthetics.mood_atmosphereไม่บังคับ
original_vgl.aesthetics.preference_scoreไม่บังคับ
original_vgl.aesthetics.aesthetic_scoreไม่บังคับ
original_vgl.photographic_characteristicsไม่บังคับ
original_vgl.photographic_characteristics.depth_of_fieldไม่บังคับ
original_vgl.photographic_characteristics.focusไม่บังคับ
original_vgl.photographic_characteristics.camera_angleไม่บังคับ
original_vgl.photographic_characteristics.lens_focal_lengthไม่บังคับ
original_vgl.style_mediumไม่บังคับ
original_vgl.text_renderไม่บังคับ
original_vgl.contextไม่บังคับ
original_vgl.artistic_styleไม่บังคับ
original_vgl.edit_instructionไม่บังคับ
new_vglไม่บังคับ
new_vgl.short_descriptionไม่บังคับ
new_vgl.objectsไม่บังคับ
new_vgl.objects[].descriptionไม่บังคับ
new_vgl.objects[].locationไม่บังคับ
new_vgl.objects[].relationshipจำเป็น
new_vgl.objects[].relative_sizeไม่บังคับ
new_vgl.objects[].shape_and_colorไม่บังคับ
new_vgl.objects[].textureไม่บังคับ
new_vgl.objects[].appearance_detailsไม่บังคับ
new_vgl.objects[].number_of_objectsไม่บังคับ
new_vgl.objects[].poseไม่บังคับ
new_vgl.objects[].expressionไม่บังคับ
new_vgl.objects[].clothingไม่บังคับ
new_vgl.objects[].actionไม่บังคับ
new_vgl.objects[].genderไม่บังคับ
new_vgl.objects[].skin_tone_and_textureไม่บังคับ
new_vgl.objects[].orientationไม่บังคับ
new_vgl.background_settingไม่บังคับ
new_vgl.lightingไม่บังคับ
new_vgl.lighting.conditionsไม่บังคับ
new_vgl.lighting.directionไม่บังคับ
new_vgl.lighting.shadowsไม่บังคับ
new_vgl.aestheticsไม่บังคับ
new_vgl.aesthetics.compositionไม่บังคับ
new_vgl.aesthetics.color_schemeไม่บังคับ
new_vgl.aesthetics.mood_atmosphereไม่บังคับ
new_vgl.aesthetics.preference_scoreไม่บังคับ
new_vgl.aesthetics.aesthetic_scoreไม่บังคับ
new_vgl.photographic_characteristicsไม่บังคับ
new_vgl.photographic_characteristics.depth_of_fieldไม่บังคับ
new_vgl.photographic_characteristics.focusไม่บังคับ
new_vgl.photographic_characteristics.camera_angleไม่บังคับ
new_vgl.photographic_characteristics.lens_focal_lengthไม่บังคับ
new_vgl.style_mediumไม่บังคับ
new_vgl.text_renderไม่บังคับ
new_vgl.contextไม่บังคับ
new_vgl.artistic_styleไม่บังคับ
new_vgl.edit_instructionไม่บังคับ
seedไม่บังคับ
steps_numไม่บังคับ
negative_promptไม่บังคับ
guidance_scaleไม่บังคับ
พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- image
- object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้าง
- images
- array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่สร้างขึ้น
- vgl
- objectเอกสาร VGL ที่ใช้สร้างรูปภาพ
- structured_instruction
- objectชื่อแทนที่เลิกใช้แล้วสำหรับเอกสารเดียวกัน ให้ใช้ `vgl` แทน
รูปแบบอื่นของ Fibo Edit
โมเดลเพิ่มเติม: แก้ไขภาพ
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bria/fibo-edit/edit.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt






